Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdVertexNormalStream Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
RtDWORD | GetNumVertexNormals (void)
HRESULT | SetNumVertexNormals ([in] RtDWORD dwNumVertexNormals)
HRESULT | x ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | x ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | y ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | y ([in] RtDWORD dwIndex,[in] RtFloat newVal)
HRESULT | z ([in] RtDWORD dwIndex,[out, retval] RtFloat *pVal)
HRESULT | z ([in] RtDWORD dwIndex,[in] RtFloat newVal)

## Detailed Description

IRdVertexNormalStream specifies vertex normals data stream to vertex normals index stream (IRdTrVertNormStream).

The stream is part of IRdMesh and is stored in Custom stream group. Stream is identified by STREAMID_VERTEXES_NORMALS id.

## Member Function Documentation

RtDWORD IRdVertexNormalStream::GetNumVertexNormals | ( | void |  | ) |

| Get number of normals Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexNormalStream::SetNumVertexNormals | ( | [in] RtDWORD | dwNumVertexNormals | ) |

| Set number of normals Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexNormalStream::x | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Get X coordinate of i-th normal Parameters:
  dwIndex | Index item
  pVal | filled with X coordinate
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexNormalStream::x | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

  | Set X coordinate of i-th normal Parameters:
  dwIndex | Index item
  newVal | filled with X coordinate
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexNormalStream::y | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Get Y coordinate of i-th normal Parameters:
  dwIndex | Index item
  pVal | filled with Y coordinate
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexNormalStream::y | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

  | Set Y coordinate of i-th normal Parameters:
  dwIndex | Index item
  newVal | filled with Y coordinate
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexNormalStream::z | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtFloat * | pVal
| ) |

  | Get Z coordinate of i-th normal Parameters:
  dwIndex | Index item
  pVal | filled with Z coordinate
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdVertexNormalStream::z | ( | [in] RtDWORD | dwIndex,
|  | [in] RtFloat | newVal
| ) |

  | Set Z coordinate of i-th normal Parameters:
  dwIndex | Index item
  newVal | filled with Z coordinate
Returns: standard HRESULT processing can be applied to returned value